Agents
Create an agent version
POST
/agents/{agent_name}/versionsCreates a new agent version.
Path ParametersQuery ParametersHeader Parameters
agent_namestringrequired
The unique name that identifies the agent. Name can be used to retrieve/update/delete the agent.
- Must start and end with alphanumeric characters,
- Can contain hyphens in the middle
- Must not exceed 63 characters.api-versionstringrequired
The API version to use for this operation.Foundry-Featuresstringoptional
A feature flag opt-in required when using preview operations or modifying persisted preview resources.HostedAgents=V1PreviewWorkflowAgents=V1PreviewAgentEndpoints=V1PreviewCodeAgents=V1PreviewExternalAgents=V1Preview
x-ms-code-zip-sha256stringoptional
SHA-256 hex digest of the uploaded code zip. Used for change detection (dedup) and integrity verification.Request BodyContent-Type: application/json
metadataobject
Set of 16 key-value pairs that can be attached to an object. This can be
useful for storing additional information about the object in a structured
format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings
with a maximum length of 512 characters.descriptionstring
A human-readable description of the agent.definitionhosted | prompt | workflow | externalrequired
The agent definition. This can be a workflow, hosted agent, or a simple agent definition.One of the following:
hostedHostedAgentDefinition
The hosted agent definition.promptPromptAgentDefinition
The prompt agent definitionworkflowWorkflowAgentDefinition
The workflow agent definition.externalExternalAgentDefinition
The external agent definition. Represents a third-party agent hosted outside Foundry (for example, on GCP or AWS).
Registration is metadata-only: Foundry records the agent definition to light up observability experiences (traces, evaluations)
over customer-emitted OpenTelemetry data.blueprint_referenceManagedAgentIdentityBlueprint
The blueprint reference for the agent.One of the following:
ManagedAgentIdentityBlueprintManagedAgentIdentityBlueprintReference
Responses
metadataobject | nullrequired
Set of 16 key-value pairs that can be attached to an object. This can be
useful for storing additional information about the object in a structured
format, and querying for objects via API or the dashboard.
Keys are strings with a maximum length of 64 characters. Values are strings
with a maximum length of 512 characters.objectenumrequired
The object type, which is always 'agent.version'.agent.version
idstringrequired
The unique identifier of the agent version.namestringrequired
The name of the agent. Name can be used to retrieve/update/delete the agent.versionstringrequired
The version identifier of the agent. Agents are immutable and every update creates a new version while keeping the name same.descriptionstring
A human-readable description of the agent.created_atintegerrequired
The Unix timestamp (seconds) when the agent was created.definitionhosted | prompt | workflow | externalrequired
One of the following:
hostedHostedAgentDefinition
The hosted agent definition.promptPromptAgentDefinition
The prompt agent definitionworkflowWorkflowAgentDefinition
The workflow agent definition.externalExternalAgentDefinition
The external agent definition. Represents a third-party agent hosted outside Foundry (for example, on GCP or AWS).
Registration is metadata-only: Foundry records the agent definition to light up observability experiences (traces, evaluations)
over customer-emitted OpenTelemetry data.statusenum
The provisioning status of the agent version. Defaults to 'active' for non-hosted agents. For hosted agents, reflects infrastructure readiness.creatingactivefaileddeletingdeleted
instance_identityAgentIdentity
The instance identity of the agentprincipal_idstringrequired
The principal ID of the agent instanceclient_idstringrequired
The client ID of the agent instance. Also referred to as the instance IDblueprintAgentIdentity
The blueprint for the agentprincipal_idstringrequired
The principal ID of the agent instanceclient_idstringrequired
The client ID of the agent instance. Also referred to as the instance IDblueprint_referenceManagedAgentIdentityBlueprint
The blueprint for the agentOne of the following:
ManagedAgentIdentityBlueprintManagedAgentIdentityBlueprintReference
agent_guidstring
The unique GUID identifier of the agent.